<div>
    <h2>
        <span>Purchase Order</span>
        <button class="btn btn-primary float-right jh-create-entity create-purchasing"
            [routerLink]="['/purchasing-new']">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down">
                Buat Purchase Order
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br />
    <p-dataTable #dt [value]="purchasings" exportFilename="purchasings" [(selection)]="selectedPO" selectionMode="multiple" [metaKeySelection]="false">
        <p-header>
            <div class="ui-helper-clearfix">
                <button type="button" pButton icon="fa-file-o" iconPos="left" label="All Data" (click)="exportToCsv('purchasingexport.csv',purchasings)" style="float:left"></button>
                <!-- <button type="button" pButton icon="fa-file" iconPos="left" label="Selection Only" (click)="dt.exportCSV({selectionOnly:true})" style="float:right"></button> -->
            </div>
        </p-header>
        <p-column selectionMode="multiple" [style]="{'width':'38px'}" *jhiHasAnyAuthority="['ROLE_MGR_PRC']"></p-column>
        <p-column header="Tahun">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.Tahun}}
            </ng-template>
        </p-column>
        <p-column header="noorder">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.noorder}}
            </ng-template>
        </p-column>
        <p-column header="kdsupp">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.kdsupp}}
            </ng-template>
        </p-column>
        <p-column header="tglorder">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.tglorder}}
            </ng-template>
        </p-column>
        <p-column header="alamat1">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.alamat1}}
            </ng-template>
        </p-column>
        <p-column header="alamat2">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.alamat2}}
            </ng-template>
        </p-column>
        <p-column header="alamat3">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.alamat3}}
            </ng-template>
        </p-column>
        <p-column header="lmkredit">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.lmkredit}}
            </ng-template>
        </p-column>
        <p-column header="jumlah">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.jumlah}}
            </ng-template>
        </p-column>
        <p-column header="kenappn">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.kenappn}}
            </ng-template>
        </p-column>
        <p-column header="ppn">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.ppn}}
            </ng-template>
        </p-column>
        <p-column header="pembayaran">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.pembayaran}}
            </ng-template>
        </p-column>
        <p-column header="disc_ps">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.disc_ps}}
            </ng-template>
        </p-column>
        <p-column header="disc_rp">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.disc_rp}}
            </ng-template>
        </p-column>
        <p-column header="ket">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.ket}}
            </ng-template>
        </p-column>
        <p-column header="nopp">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nopp}}
            </ng-template>
        </p-column>
        <p-column header="valuta">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.valuta}}
            </ng-template>
        </p-column>
        <p-column header="batal">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.batal}}
            </ng-template>
        </p-column>
        <p-column header="initial">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.initial}}
            </ng-template>
        </p-column>
        <p-column header="kdkirim">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.kdkirim}}
            </ng-template>
        </p-column>
        <p-column header="toleran">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.toleran}}
            </ng-template>
        </p-column>
        <p-column header="revisi">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.revisi}}
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<p-confirmDialog></p-confirmDialog>